Get Negotiated FX Reference By ID
curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/otc/negotiated-fx/references/{id} \
--header 'Authorization: Bearer <token>'{
"reference": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_code": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_display_name": "<string>",
"agreed_transaction_date": "2023-12-25",
"timezone": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"asset": "<string>",
"fiat_currency": "<string>",
"network": "<string>",
"agreed_amount": "<string>",
"reference_fx_rate": "<string>",
"agreed_fx_rate": "<string>",
"narration": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_display_name": "<string>",
"consumed_at": "2023-11-07T05:31:56Z",
"consumed_otc_deposit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gross_fiat_amount": "<string>",
"gross_crypto_amount": "<string>",
"net_fiat_amount": "<string>",
"net_crypto_amount": "<string>",
"total_fee_amount": "<string>",
"fee_currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}OTC Deposits
Get Negotiated FX Reference By ID
GET
/
api
/
v1
/
auth
/
otc
/
negotiated-fx
/
references
/
{id}
Get Negotiated FX Reference By ID
curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/otc/negotiated-fx/references/{id} \
--header 'Authorization: Bearer <token>'{
"reference": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_code": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_display_name": "<string>",
"agreed_transaction_date": "2023-12-25",
"timezone": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"asset": "<string>",
"fiat_currency": "<string>",
"network": "<string>",
"agreed_amount": "<string>",
"reference_fx_rate": "<string>",
"agreed_fx_rate": "<string>",
"narration": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_display_name": "<string>",
"consumed_at": "2023-11-07T05:31:56Z",
"consumed_otc_deposit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gross_fiat_amount": "<string>",
"gross_crypto_amount": "<string>",
"net_fiat_amount": "<string>",
"net_crypto_amount": "<string>",
"total_fee_amount": "<string>",
"fee_currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}⌘I